Bug 814886 - [abrt] kernel: BUG: unable to handle kernel paging request at 0000000081143aa9
[abrt] kernel: BUG: unable to handle kernel paging request at 0000000081143aa9
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:cb3634d48bf376185587962cd93...
:
: 814258 814259 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 20:35 EDT by gremaud.benoit
Modified: 2012-07-10 17:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 17:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gremaud.benoit 2012-04-20 20:35:16 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.2-1.fc16.x86_64 root=UUID=553338d2-e306-4d1e-8879-c4e659247fbe ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.3.2-1.fc16.x86_64
reason:         BUG: unable to handle kernel paging request at 0000000081143aa9
time:           Sat 21 Apr 2012 08:30:28 AM SGT

backtrace:
:BUG: unable to handle kernel paging request at 0000000081143aa9
:IP: [<0000000081143aa9>] 0x81143aa8
:PGD 1324f2067 PUD 0 
:Oops: 0010 [#1] SMP 
:CPU 1 
:Modules linked in: lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 ip6_tables xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd arc4 uvcvideo soundcore hp_wmi iwlwifi snd_page_alloc mac80211 sky2 videobuf2_core videodev iTCO_wdt hp_accel cfg80211 media iTCO_vendor_support sparse_keymap lis3lv02d videobuf2_vmalloc serio_raw rfkill videobuf2_memops microcode joydev input_polldev sunrpc uinput video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1286, comm: grep Not tainted 3.3.2-1.fc16.x86_64 #1 Hewlett-Packard HP ProBook 4310s/7016
:RIP: 0010:[<0000000081143aa9>]  [<0000000081143aa9>] 0x81143aa8
:RSP: 0000:ffff880114f4fc88  EFLAGS: 00010292
:RAX: ffff88013ffcfcf0 RBX: ffff8801368fd790 RCX: ffff88013ffcce80
:RDX: 0000000000000000 RSI: ffffea0004b73780 RDI: ffff88013ffcfce8
:RBP: ffff880114f4fd18 R08: bc00000000000000 R09: a80012dcde000000
:R10: 57ffd72326b73780 R11: 0000000000000008 R12: ffffea0004733f00
:R13: 0000000000000000 R14: 0000000000000001 R15: 800000011ccfc067
:FS:  0000000000000000(0000) GS:ffff88013fc80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000081143aa9 CR3: 0000000138267000 CR4: 00000000000406e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process grep (pid: 1286, threadinfo ffff880114f4e000, task ffff880137821730)
:Stack:
: ffff880114f4fca8 ffff880114f4e000 00000000368fdd10 ffffea0004d95e00
: 0000020000000001 ffff8801365781e0 ffff8801350ce680 0000003c1963c0f0
: 000284d000000029 000000000000003c 0000003c1963c000 ffffea0004b73780
:Call Trace:
: [<ffffffff81146507>] handle_pte_fault+0xf7/0xad0
: [<ffffffff81160bc3>] ? alloc_pages_current+0xa3/0x110
: [<ffffffff81044017>] ? pte_alloc_one+0x37/0x50
: [<ffffffff81125836>] ? get_zeroed_page+0x16/0x20
: [<ffffffff81147298>] handle_mm_fault+0x1f8/0x350
: [<ffffffff815f7f62>] do_page_fault+0x142/0x4f0
: [<ffffffff8114d4a8>] ? do_mmap_pgoff+0x348/0x360
: [<ffffffff815f4b35>] page_fault+0x25/0x30
:Code:  Bad RIP value.
:RIP  [<0000000081143aa9>] 0x81143aa8
: RSP <ffff880114f4fc88>
:CR2: 0000000081143aa9

smolt_data:
:
:
:General
:=================================
:UUID: d180742a-bf85-40a9-b16b-efd5b3084314
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5585.67
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9600  @ 2.80GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2801
:System Memory: 3919
:System Swap: 4095
:Vendor: Hewlett-Packard
:System: HP ProBook 4310s F.01
:Form factor: Notebook
:Kernel: 3.3.2-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4523:17260:4156:28694) pci, sky2, ETHERNET, 88E8072 PCI-E Gigabit Ethernet Controller
:(32902:10816:4156:28694) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4156:28694) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10537:4156:28694) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4156:28694) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4156:28694) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:28694) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16951:32902:4625) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10564:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4156:28694) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:28694) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:4098:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38226:4156:28694) pci, radeon, VIDEO, M92 LP [Mobility Radeon HD 4300 Series]
:(32902:10570:0:0) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 32697715 30449051 28811880 8192000 7967652 7967652
:/dev/sda6 /home ext4 4096 4096 60739805 13235885 10195335 15204352 15087923 15087923
:
Comment 1 Dave Jones 2012-04-24 09:48:59 EDT
this bug, bug 814258 and bug 814259 all have different traces, but the same symptom.  The upper 32 bits of the address got zeroed, so the instruction pointer jumped somewhere it shouldn't.

I can't think of what might be causing this, but your reports are currently the only instance of this that we've seen.
Comment 2 Dave Jones 2012-04-24 09:49:35 EDT
*** Bug 814258 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2012-04-24 09:49:40 EDT
*** Bug 814259 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2012-05-14 14:51:36 EDT
is there anything unusual about this system ? like running 32bit firefox/libc etc ?
Comment 5 Dave Jones 2012-05-14 14:53:23 EDT
also, try running kernel-debug, and see if that throws anything interesting in dmesg.

Note You need to log in before you can comment on or make changes to this bug.